libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::DebayerParams::CcmColumn Struct Reference

Type of a single column of a color correction matrix (CCM) More...

## Public Attributes
int16_t | r
| Red (first) component of a CCM column.
int16_t | g
| Green (second) component of a CCM column.
int16_t | b
| Blue (third) component of a CCM column.

## Detailed Description

Type of a single column of a color correction matrix (CCM)

When multiplying an input pixel, columns in the CCM correspond to the red, green or blue component of input pixel values, while rows correspond to the red, green or blue components of the output pixel values. The members of the CcmColumn structure are named after the colour components of the output pixel values they correspond to.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/software_isp/debayer_params.h
- src/libcamera/software_isp/debayer.cpp